/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ECGAnnotations
 */
public enum EnumCV_ECGAnnotations 
{
	//CID 3335 ECG Annotations
	FIDUCIAL_POINT_5_7_1_3("5.7.1-3"),
	J_POINT_D_4_1_J("D.4.1-J"),
	J_POINT_20_MSEC_D_4_1_ST20("D.4.1-ST20"),
	J_POINT_60_MSEC_D_4_1_ST60("D.4.1-ST60"),
	J_POINT_80_MSEC_D_4_1_ST80("D.4.1-ST80"),
	P_WAVE_END_5_10_3_2("5.10.3-2"),
	P_WAVE_ONSET_5_10_3_1("5.10.3-1"),
	P_WAVE_PEAK_D_4_1_P("D.4.1-P"),
	PACEMAKER_SPIKE_SUPPRESSED_5_10_1_2("5.10.1.2"),
	PR_SEGMENT_ISOELECTRIC_POINT_D_4_1_PR("D.4.1-PR"),
	Q_WAVE_D_4_1_Q("D.4.1-Q"),
	QRS_END_5_10_3_4("5.10.3-4"),
	QRS_ONSET_5_10_3_3("5.10.3-3"),
	R_WAVE_PEAK_D_4_1_R("D.4.1-R"),
	R_PEAK_D_4_1_R2("D.4.1-R2"),
	S_WAVE1_D_4_1_S("D.4.1-S"),
	S_WAVE2_D_4_1_S2("D.4.1-S2"),
	T_WAVE_END_5_10_3_5("5.10.3-5"),
	T_WAVE_ONSET_D_4_1_STE ("D.4.1-STE "),
	T_WAVE_PEAK_D_4_1_T("D.4.1-T"),
	U_WAVE_PEAK_D_4_1_U("D.4.1-U");

	private String value;

	EnumCV_ECGAnnotations(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
